Bug 199099 - [exp-run] remove const from iconv(3) prototype
Summary: [exp-run] remove const from iconv(3) prototype
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
: 196540 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-04-01 18:49 UTC by Tijl Coosemans
Modified: 2015-07-06 15:03 UTC (History)
3 users (show)

See Also:


Attachments
ports patch (727 bytes, patch)
2015-04-01 18:49 UTC, Tijl Coosemans
no flags Details | Diff
base patch (4.97 KB, patch)
2015-04-01 18:50 UTC, Tijl Coosemans
no flags Details | Diff
ports patch2 (27.28 KB, patch)
2015-04-03 20:03 UTC, Tijl Coosemans
no flags Details | Diff
ports patch3 (60.42 KB, patch)
2015-04-04 14:53 UTC, Tijl Coosemans
no flags Details | Diff
ports patch4 (62.72 KB, patch)
2015-04-05 17:29 UTC, Tijl Coosemans
no flags Details | Diff
ports patch5 (62.72 KB, patch)
2015-04-05 18:10 UTC, Tijl Coosemans
no flags Details | Diff
ports patch6 (63.19 KB, patch)
2015-04-06 14:37 UTC, Tijl Coosemans
no flags Details | Diff
ports patch7 (263.83 KB, patch)
2015-04-10 09:26 UTC, Tijl Coosemans
no flags Details | Diff
ports patch8 (263.69 KB, patch)
2015-04-11 18:00 UTC, Tijl Coosemans
no flags Details | Diff
base patch2 (7.85 KB, patch)
2015-04-12 08:59 UTC, Tijl Coosemans
no flags Details | Diff
ports patch9 (264.96 KB, patch)
2015-04-13 15:37 UTC, Tijl Coosemans
no flags Details | Diff
base patch3 (31.61 KB, patch)
2015-04-13 15:40 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2015-04-01 18:49:33 UTC
Created attachment 155100 [details]
ports patch

The attached patches remove the const qualifier from iconv(3) to match POSIX:
http://pubs.opengroup.org/onlinepubs/9699919799/functions/iconv.html

One patch is for the base system and the other for ports.  The ports patch should be tested on FreeBSD 9 (no iconv in base), 10 (iconv in base with const qualifier) and 11 (with patch that removes const).
Comment 1 Tijl Coosemans freebsd_committer 2015-04-01 18:50:07 UTC
Created attachment 155101 [details]
base patch
Comment 2 Antoine Brodin freebsd_committer 2015-04-01 19:10:59 UTC
Take for exp-run
Comment 3 Antoine Brodin freebsd_committer 2015-04-03 13:53:58 UTC
Exp run results on 10.1 amd64 (with patches for libtool, intltool and iconv applied):

http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-misc&build=2015-04-03_06h18m18s

New failures:

+ {"origin"=>"audio/xmms-wavpack", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/kbibtex", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"deskutils/fbreader", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"deskutils/nemo-extensions", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"emulators/dolphin-emu", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/virtualbox-ose", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"finance/libofx", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/cuyo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/pokerth", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/valyriatear", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/iccexamin", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"graphics/ipe", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/groff", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/jd", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/mozc-server", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/mozc-tool", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/racket-minimal", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"mail/cone", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/naludump", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/vdr", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/linuxdcpp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"news/pan", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/gmetadom", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/goldendict", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/newsbeuter", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/node010", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"x11-wm/icewm", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-wm/pekwm", "phase"=>"build", "errortype"=>"bad_C++_code"}

Failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/xmms-wavpack-1.0.3_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/kbibtex-0.4.1_9.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/fbreader-0.99.6.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/nemo-extensions-2.4.0.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/dolphin-emu-4.0.2_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/virtualbox-ose-4.3.26.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/libofx-0.9.10_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/cuyo-2.1.0,1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/pokerth-1.1.1_7.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/valyriatear-0.6.0_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/iccexamin-0.55_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/ipe-7.1.6.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/ja-groff-1.18.1_16.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/ja-jd-2.8.8_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/ja-mozc-server-2.16.2051.102_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/ja-mozc-tool-2.16.2051.102_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/racket-minimal-6.1_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/cone-0.90_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/naludump-0.1.1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/vdr-1.7.29_6.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/linuxdcpp-1.1.0_3.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/pan-0.139_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/gmetadom-0.2.6_3.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/goldendict-1.0.1_8.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/newsbeuter-2.9_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/node010-0.10.38.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/icewm-1.3.8_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-03_06h18m18s/logs/errors/pekwm-0.1.17_3,1.log
Comment 4 Antoine Brodin freebsd_committer 2015-04-03 16:31:50 UTC
For head,  the buildworld failed to complete.
I only have the last lines of the log:

                                               ^
1 error generated.
*** [iconv_compat.So] Error code 1

make[4]: stopped in /poudriere/jails/headamd64PR199099/usr/src/lib/libc
--- bsd_iconv.So ---
/poudriere/jails/headamd64PR199099/usr/src/lib/libc/iconv/bsd_iconv.c:156:6: error: passing 'const char **' to parameter of type 'char *restrict *' discards qualifiers in nested pointer types [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
            in, szin, out, szout, flags, &ret);
            ^~
/poudriere/jails/headamd64PR199099/usr/src/lib/libc/iconv/citrus_iconv.h:55:36: note: passing argument to parameter 'in' here
    char * __restrict * __restrict in, size_t * __restrict inbytes,
                                   ^
1 error generated.
*** [bsd_iconv.So] Error code 1

make[4]: stopped in /poudriere/jails/headamd64PR199099/usr/src/lib/libc
2 errors

make[4]: stopped in /poudriere/jails/headamd64PR199099/usr/src/lib/libc
A failure has been detected in another branch of the parallel make
Comment 5 Tijl Coosemans freebsd_committer 2015-04-03 20:03:45 UTC
Created attachment 155168 [details]
ports patch2

Fix the above build errors except lang/racket-minimal and www/node010 which seem unrelated to iconv.
Comment 6 Antoine Brodin freebsd_committer 2015-04-03 20:36:15 UTC
ok,  racket-minimal randomly fails and it seems I merged base r273250 to this 10.1 jail which causes the node010 failure

Are you interested in results on 9.3 with the first version of the ports patch or should I relaunch it with the new version?

It's currently ongoing at  http://package22.nyi.freebsd.org/build.html?mastername=93amd64-default-misc&build=2015-04-02_23h58m27s
Comment 7 Tijl Coosemans freebsd_committer 2015-04-03 21:41:40 UTC
(In reply to Antoine Brodin from comment #6)
It's almost finished so let's keep it going.  I expect more errors than on 10.  It makes more sense to fix those first before doing another run.
Comment 8 Antoine Brodin freebsd_committer 2015-04-04 10:03:43 UTC
Exp-run results on 10.1 amd64 with ports patch version 2:
http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-misc&build=2015-04-04_07h37m52s

New failures:
+ {"origin"=>"emulators/virtualbox-ose", "pkgname"=>"virtualbox-ose-4.3.26", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/pokerth", "pkgname"=>"pokerth-1.1.1_7", "phase"=>"build", "errortype"=>"bad_C++_code"}

Failure logs:
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-04_07h37m52s/logs/errors/virtualbox-ose-4.3.26.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-04_07h37m52s/logs/errors/pokerth-1.1.1_7.log
Comment 9 Antoine Brodin freebsd_committer 2015-04-04 10:10:18 UTC
Exp run results on 9.3 amd64 with patch version 1:
http://package22.nyi.freebsd.org/build.html?mastername=93amd64-default-misc&build=2015-04-04_06h34m24s

New failures:
+ {"origin"=>"archivers/unalz", "pkgname"=>"unalz-0.65_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"archivers/unrar-iconv", "pkgname"=>"unrar-iconv-5.21_1,5", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/id3mtag", "pkgname"=>"id3mtag-0.79", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/mp3unicode", "pkgname"=>"mp3unicode-1.2.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/xmms-wavpack", "pkgname"=>"xmms-wavpack-1.0.3_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"comms/telldus-core", "pkgname"=>"telldus-core-2.1.2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"converters/wkhtmltopdf", "pkgname"=>"wkhtmltopdf-0.12.2.1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"databases/kbibtex", "pkgname"=>"kbibtex-0.4.1_9", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/mysql-workbench52", "pkgname"=>"mysql-workbench-gpl52-5.2.47_7", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"deskutils/calibre", "pkgname"=>"calibre-1.48.0_6", "phase"=>"stage/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"deskutils/fbreader", "pkgname"=>"fbreader-0.99.6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/ice", "pkgname"=>"Ice-3.5.1_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/dolphin-emu", "pkgname"=>"dolphin-emu-4.0.2_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/virtualbox-ose", "pkgname"=>"virtualbox-ose-4.3.26", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/virtualbox-ose-additions", "pkgname"=>"virtualbox-ose-additions-4.3.26", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"finance/libofx", "pkgname"=>"libofx-0.9.10_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/allacrost", "pkgname"=>"allacrost-1.0.2_11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/cuyo", "pkgname"=>"cuyo-2.1.0,1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/hex-a-hop", "pkgname"=>"hex-a-hop-1.1.0_5", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/pokerth", "pkgname"=>"pokerth-1.1.1_7", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/valyriatear", "pkgname"=>"valyriatear-0.6.0_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/cegui", "pkgname"=>"cegui-0.8.3_7", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/ipe", "pkgname"=>"ipe-7.1.6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/sswf", "pkgname"=>"sswf-1.8.4_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/groff", "pkgname"=>"ja-groff-1.18.1_16", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/jd", "pkgname"=>"ja-jd-2.8.8_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/mozc-server", "pkgname"=>"ja-mozc-server-2.16.2051.102_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/mozc-tool", "pkgname"=>"ja-mozc-tool-2.16.2051.102_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"mail/cone", "pkgname"=>"cone-0.90_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"mail/mmr", "pkgname"=>"mmr-1.6.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"mail/normalizemime", "pkgname"=>"normalizemime-1.19", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/naludump", "pkgname"=>"naludump-0.1.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/vdr", "pkgname"=>"vdr-1.7.29_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-im/imspector", "pkgname"=>"imspector-20111108_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/libtorrent-rasterbar", "pkgname"=>"libtorrent-rasterbar-0.16.19", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/linuxdcpp", "pkgname"=>"linuxdcpp-1.1.0_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/twister", "pkgname"=>"twister-core-0.150330", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"news/pan", "pkgname"=>"pan-0.139_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/ctpp2", "pkgname"=>"ctpp2-2.8.3_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/gmetadom", "pkgname"=>"gmetadom-0.2.6_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/goldendict", "pkgname"=>"goldendict-1.0.1_8", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/xmlppm", "pkgname"=>"xmlppm-0.98.3_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/anyterm", "pkgname"=>"anyterm-1.1.29", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/htmlcxx", "pkgname"=>"htmlcxx-0.85_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/newsbeuter", "pkgname"=>"newsbeuter-2.9_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-wm/icewm", "pkgname"=>"icewm-1.3.8_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-wm/pekwm", "pkgname"=>"pekwm-0.1.17_3,1", "phase"=>"build", "errortype"=>"bad_C++_code"}

Failure logs:
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/unalz-0.65_1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/unrar-iconv-5.21_1,5.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/id3mtag-0.79.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/mp3unicode-1.2.1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/xmms-wavpack-1.0.3_4.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/telldus-core-2.1.2.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/wkhtmltopdf-0.12.2.1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/kbibtex-0.4.1_9.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/mysql-workbench-gpl52-5.2.47_7.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/calibre-1.48.0_6.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/fbreader-0.99.6.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/Ice-3.5.1_6.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/dolphin-emu-4.0.2_2.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/virtualbox-ose-4.3.26.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/virtualbox-ose-additions-4.3.26.log
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/libofx-0.9.10_1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/allacrost-1.0.2_11.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/cuyo-2.1.0,1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/hex-a-hop-1.1.0_5.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/pokerth-1.1.1_7.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/valyriatear-0.6.0_4.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/cegui-0.8.3_7.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/inventor-2.1.5.p10_11.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/ipe-7.1.6.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/sswf-1.8.4_4.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/ja-groff-1.18.1_16.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/ja-jd-2.8.8_4.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/ja-mozc-server-2.16.2051.102_2.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/ja-mozc-tool-2.16.2051.102_2.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/cone-0.90_4.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/mmr-1.6.0.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/normalizemime-1.19.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/naludump-0.1.1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/vdr-1.7.29_6.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/imspector-20111108_2.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/libtorrent-rasterbar-0.16.19.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/linuxdcpp-1.1.0_3.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/twister-core-0.150330.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/pan-0.139_2.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/ctpp2-2.8.3_1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/gmetadom-0.2.6_3.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/goldendict-1.0.1_8.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/xmlppm-0.98.3_1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/anyterm-1.1.29.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/htmlcxx-0.85_1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/newsbeuter-2.9_1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/icewm-1.3.8_1.log 
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-04_06h34m24s/logs/errors/pekwm-0.1.17_3,1.log
Comment 10 Tijl Coosemans freebsd_committer 2015-04-04 14:53:32 UTC
Created attachment 155184 [details]
ports patch3

Fix the above build errors except deskutils/calibre.

For FreeBSD 9 an incremental run should be enough.  FreeBSD 10 requires a new full run because the fixes for 9 might have broken the ports on 10.  So maybe wait with 10 until 9 is all clear.
Comment 11 Antoine Brodin freebsd_committer 2015-04-05 13:29:17 UTC
New failures on 9.3 amd64 with ports patch version 3:

+ {"origin"=>"graphics/sswf", "pkgname"=>"sswf-1.8.4_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/ctpp2", "pkgname"=>"ctpp2-2.8.3_2", "phase"=>"build", "errortype"=>"bad_C++_code"}

Failure logs:

http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-05_12h12m44s/logs/errors/sswf-1.8.4_4.log
http://package22.nyi.freebsd.org/data/93amd64-default-misc/2015-04-05_12h12m44s/logs/errors/ctpp2-2.8.3_2.log
Comment 12 Tijl Coosemans freebsd_committer 2015-04-05 17:29:33 UTC
Created attachment 155201 [details]
ports patch4

Fix above errors
Comment 13 Tijl Coosemans freebsd_committer 2015-04-05 18:10:16 UTC
Created attachment 155205 [details]
ports patch5

Fix graphics/sswf patch
Comment 14 Antoine Brodin freebsd_committer 2015-04-05 19:39:29 UTC
Ports patch version 5 looks good on 9.3 amd64,  I will continue with 10.1 amd64
Comment 15 Tijl Coosemans freebsd_committer 2015-04-06 14:37:43 UTC
Created attachment 155228 [details]
ports patch6

So it turns out the fixes for FreeBSD 9 with converters/libiconv break ports on FreeBSD 10 with base iconv because /usr/include/iconv.h still has the const qualifier.  This patch adds a build dependency on converters/libiconv on FreeBSD 10 (via USES=iconv) so LOCALBASE/include/iconv.h overrides /usr/include/iconv.h.

This requires a new full build on FreeBSD 10 to be sure.  The currently running build can be stopped.  No new build is needed for FreeBSD 9 because it is unaffected by the change.
Comment 16 Antoine Brodin freebsd_committer 2015-04-06 19:07:14 UTC
Ok.

For the record,  here were the new failures on 10.1 amd64 with ports patch version 5:

+ {"origin"=>"archivers/unalz", "pkgname"=>"unalz-0.65_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"archivers/unrar-iconv", "pkgname"=>"unrar-iconv-5.21_1,5", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/id3mtag", "pkgname"=>"id3mtag-0.79", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/mp3unicode", "pkgname"=>"mp3unicode-1.2.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"converters/wkhtmltopdf", "pkgname"=>"wkhtmltopdf-0.12.2.1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/ice", "pkgname"=>"Ice-3.5.1_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/virtualbox-ose-additions", "pkgname"=>"virtualbox-ose-additions-4.3.26", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/allacrost", "pkgname"=>"allacrost-1.0.2_12", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/hex-a-hop", "pkgname"=>"hex-a-hop-1.1.0_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/sswf", "pkgname"=>"sswf-1.8.4_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/racket-minimal", "pkgname"=>"racket-minimal-6.1_1", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"mail/mmr", "pkgname"=>"mmr-1.6.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"mail/normalizemime", "pkgname"=>"normalizemime-1.19", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-im/imspector", "pkgname"=>"imspector-20111108_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/libtorrent-rasterbar", "pkgname"=>"libtorrent-rasterbar-0.16.19", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/twister", "pkgname"=>"twister-core-0.150330", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/ctpp2", "pkgname"=>"ctpp2-2.8.3_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/xmlppm", "pkgname"=>"xmlppm-0.98.3_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/anyterm", "pkgname"=>"anyterm-1.1.29", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/htmlcxx", "pkgname"=>"htmlcxx-0.85_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
Comment 17 Antoine Brodin freebsd_committer 2015-04-07 19:58:53 UTC
Exp-run results with ports patch version 6:

http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-misc&build=2015-04-07_19h01m30s

New failures:

+ {"origin"=>"audio/libgroove", "pkgname"=>"libgroove-4.1.1_2", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/qdbm-plus", "pkgname"=>"qdbm-plus-1.8.78_1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/joytran", "pkgname"=>"joytran-0.9.5.2_1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/ldmud", "pkgname"=>"ldmud-3.3.720_2,1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_11", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/sdl2_gfx", "pkgname"=>"sdl2_gfx-1.0.1_4", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"graphics/sdl2_image", "pkgname"=>"sdl2_image-2.0.0_7", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/sdl2_ttf", "pkgname"=>"sdl2_ttf-2.0.12_5", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/swfmill", "pkgname"=>"swfmill-0.3.3_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/racket", "pkgname"=>"racket-6.1_2", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"lang/racket-minimal", "pkgname"=>"racket-minimal-6.1_1", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"multimedia/smpeg2", "pkgname"=>"smpeg2-2.0.0_4", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net-im/centerim-devel", "pkgname"=>"centerim-devel-4.22.10.11_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/c3270", "pkgname"=>"c3270-3.3.14ga11", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/sdl2_net", "pkgname"=>"sdl2_net-2.0.0_4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/scanhill", "pkgname"=>"scanhill-0.5.p1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"textproc/ctpp2", "pkgname"=>"ctpp2-2.8.3_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"textproc/pecl-wbxml", "pkgname"=>"pecl-wbxml-1.0.3", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"www/anyterm", "pkgname"=>"anyterm-1.1.29", "phase"=>"build", "errortype"=>"linker_error"}

Failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/libgroove-4.1.1_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/qdbm-plus-1.8.78_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/joytran-0.9.5.2_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/ldmud-3.3.720_2,1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/inventor-2.1.5.p10_11.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/sdl2_gfx-1.0.1_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/sdl2_image-2.0.0_7.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/sdl2_ttf-2.0.12_5.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/swfmill-0.3.3_3.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/racket-6.1_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/racket-minimal-6.1_1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/smpeg2-2.0.0_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/centerim-devel-4.22.10.11_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/c3270-3.3.14ga11.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/sdl2_net-2.0.0_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/scanhill-0.5.p1.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/ctpp2-2.8.3_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/pecl-wbxml-1.0.3.log
http://package18.nyi.freebsd.org/data/101amd64-default-misc/2015-04-07_19h01m30s/logs/errors/anyterm-1.1.29.log
Comment 18 Tijl Coosemans freebsd_committer 2015-04-07 20:05:43 UTC
Can you also provide a diff against baseline for the output of:

pkg rquery '%o %B' | grep 'libiconv\.so' | sort

Some ports appear to be linking with libiconv when it is available instead of using iconv from libc (e.g. because they don't respect CFLAGS).  The baseline doesn't have to be of the same svn revision.  I just want to get a rough idea.
Comment 20 Tijl Coosemans freebsd_committer 2015-04-10 09:26:02 UTC
Created attachment 155413 [details]
ports patch7

- Fix build errors
- Patch iconv.h from converters/libiconv to expose more GNU extensions when LIBICONV_PLUG is defined because base system iconv also supports them.  Used by textproc/ctpp2.
- databases/qdbm and slaves: respect CFLAGS and friends, also enable bzip2 and lzo support
- games/ldmud: respect CFLAGS and friends
- graphics/inventor: replace some patches with MAKE_ARGS/MAKE_ENV to respect CFLAGS and friends, also remove FreeBSD/alpha patch and add missing xorg dependencies
- java/jikes: replace patch with USES=iconv:wchar_t

For ports that used libiconv instead of libc one of the following changes has been made:
- patch configure scripts to test for libc iconv first
- add ac_cv_lib_iconv_libiconv=no or similar to CONFIGURE_ARGS to disable some configure tests
- converters/wkhtmltopdf: this includes Qt4 so add a patch from devel/qt4
- lang/gcc5-aux: respect CFLAGS and friends during configure such that LIBICONV_PLUG is defined in the iconv test, also switch to external gettext
- mail/dovecot-managesieve, mail/dovecot-sieve: add missing USES=iconv
- mail/gnarwl: replace patches with CPPFLAGS/LIBS
- multimedia/ffmpeg2theora: remove iconv test from SConstruct and use ICONV_LIB in port Makefile instead, also fix a bug in subtitles.c
- net-im/licq: finish conversion to cmake
- net-mgmt/bandwidthd, net-mgmt/icinga, net-mgmt/nagios, net-mgmt/nagios4: don't need iconv
- textproc/p5-XML-TinyXML: finish conversion to USES=perl5

I bumped PORTREVISION where needed so an incremental run should be enough.
Comment 21 Antoine Brodin freebsd_committer 2015-04-10 09:29:36 UTC
Hi,

The new run(s) should be on 9.3 and 10.1 ?
Comment 22 Tijl Coosemans freebsd_committer 2015-04-10 10:08:51 UTC
(In reply to Antoine Brodin from comment #21)
Hmm, yes it's probably best to do an incremental run on 9 as well.  Maybe do that one first.  If it's good, continue with 10.
Comment 23 Antoine Brodin freebsd_committer 2015-04-11 13:20:55 UTC
New failures on 10.1 amd64:

+ {"origin"=>"java/sablevm-classpath", "pkgname"=>"sablevm-classpath-1.13_11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/py-pyctpp2", "pkgname"=>"py27-pyctpp2-0.12.2_4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/anyterm", "pkgname"=>"anyterm-1.1.29_1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/mod_encoding", "pkgname"=>"ap24-mod_encoding-20021209_5", "phase"=>"configure", "errortype"=>"configure_error"}

Failure logs:

http://package23.nyi.freebsd.org/data/101amd64-default-PR199099/2015-04-11_08h49m31s/logs/errors/sablevm-classpath-1.13_11.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR199099/2015-04-11_08h49m31s/logs/errors/py27-pyctpp2-0.12.2_4.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR199099/2015-04-11_08h49m31s/logs/errors/anyterm-1.1.29_1.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR199099/2015-04-11_08h49m31s/logs/errors/ap24-mod_encoding-20021209_5.log
Comment 24 Tijl Coosemans freebsd_committer 2015-04-11 18:00:18 UTC
Created attachment 155482 [details]
ports patch8

Fix build errors:
- chinese/cconv: set CONFIGURE_ENV instead of MAKE_ENV
- java/sablevm-classpath: caused by a problem in java/jikes
- textproc/py-pyctpp2: caused by a problem in textproc/ctpp2
- www/anyterm: caused by a problem in USES=iconv, CPPFLAGS wasn't defined correctly in patch phase
- www/mod_encoding: old configure script, add variables to CONFIGURE_ENV instead of CONFIGURE_ARGS

incremental builds should be enough
Comment 25 Antoine Brodin freebsd_committer 2015-04-11 18:42:47 UTC
On 9.3 amd64 the new failures were:

+ {"origin"=>"chinese/cconv", "pkgname"=>"zh-cconv-0.6.2_4", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"java/sablevm-classpath", "pkgname"=>"sablevm-classpath-1.13_11", "phase"=>"build", "errortype"=>"???"}

Error logs:

http://package22.nyi.freebsd.org/data/93amd64-default-PR199099/2015-04-11_10h26m16s/logs/errors/zh-cconv-0.6.2_4.log
http://package22.nyi.freebsd.org/data/93amd64-default-PR199099/2015-04-11_10h26m16s/logs/errors/sablevm-classpath-1.13_11.log
Comment 26 Tijl Coosemans freebsd_committer 2015-04-11 18:47:02 UTC
patch 8 should fix those as well
Comment 27 Tijl Coosemans freebsd_committer 2015-04-12 08:59:39 UTC
Created attachment 155505 [details]
base patch2

Remove more const qualifiers.
Comment 28 Antoine Brodin freebsd_committer 2015-04-12 16:23:08 UTC
For base, I have this error during buildworld with patch version 2:

--- iconv_compat.So ---
/poudriere/jails/headamd64PR199099/usr/src/lib/libc/iconv/iconv_compat.c:63:24: error: passing 'const char **restrict' to parameter of type 'char **' discards qualifiers in nested pointer types [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
        return __bsd_iconv(a, b, c, d, e);
                              ^
/poudriere/jails/headamd64PR199099/usr/src/lib/libc/iconv/iconv-internal.h:36:47: note: passing argument to parameter here
size_t  __bsd_iconv(iconv_t, char ** __restrict,
                                               ^
1 error generated.
Comment 29 Antoine Brodin freebsd_committer 2015-04-12 20:18:59 UTC
0 new failure on 9.3 amd64 and 10.1 amd64 with  ports patch8
Comment 30 Tijl Coosemans freebsd_committer 2015-04-12 21:45:17 UTC
Can you also provide a new list of ports linking with libiconv on FreeBSD 10?

I'll work on the base patch tomorrow, but how do you build base?  Do you set any extra flags or something, because I don't see these errors with make buildworld.
Comment 31 Antoine Brodin freebsd_committer 2015-04-12 22:33:36 UTC
The list of ports linking against libiconv:

http://package23.nyi.freebsd.org/data/101amd64-default-PR199099/2015-04-12_22h07m55s/libiconv-199099.txt

http://pb2.nyi.freebsd.org/data/101amd64-default/2015-04-12_22h19m47s/libiconv-baseline.txt

For base, it's a buildworld -j32 with empty src.conf/make.conf
Comment 32 Tijl Coosemans freebsd_committer 2015-04-13 15:37:19 UTC
Created attachment 155544 [details]
ports patch9

Fix some more ports that link with libiconv instead of libc.  An incremental build should be enough (9 and 10).
Comment 33 Tijl Coosemans freebsd_committer 2015-04-13 15:40:03 UTC
Created attachment 155545 [details]
base patch3

This patch should work now.  I had WITHOUT_ASSERT_DEBUG in src.conf which apparently takes out -Werror.
Comment 34 Antoine Brodin freebsd_committer 2015-04-14 06:59:16 UTC
With ports patch version 9:

0 new failure on 9.3 amd64
0 new failure on 10.1 amd64

Ports linking against libiconv.so:
http://pb2.nyi.freebsd.org/data/101amd64-default/2015-04-14_05h47m00s/libiconv-baseline.txt
http://package23.nyi.freebsd.org/data/101amd64-default-PR199099/2015-04-14_05h46m56s/libiconv-199099.txt

Exp-run on head is ongoing
Comment 35 Antoine Brodin freebsd_committer 2015-04-14 19:21:00 UTC
0 new failure on headamd64
Comment 36 Antoine Brodin freebsd_committer 2015-04-14 19:22:41 UTC
This seems ok,  if you still have adjustments to do to 2 or 3 ports,  an exp-run is not needed.
Comment 37 commit-hook freebsd_committer 2015-04-15 08:21:00 UTC
A commit references this bug:

Author: tijl
Date: Wed Apr 15 08:20:46 UTC 2015
New revision: 384038
URL: https://svnweb.freebsd.org/changeset/ports/384038

Log:
  converters/libiconv:
  - Remove const qualifier from iconv(3) to match POSIX:
    http://pubs.opengroup.org/onlinepubs/9699919799/functions/iconv.html
  - Patch iconv.h to expose more GNU extensions when LIBICONV_PLUG is
    defined because the base system iconv supports these extensions too.

  Add/remove patches to/from ports to call iconv with non-const arguments.

  This breaks some ports on FreeBSD 10 because base system iconv.h still has
  the const qualifier.  Fix this by letting USES=iconv add a build dependency
  on converters/libiconv so ports can use its iconv.h (with LIBICONV_PLUG
  defined) instead of the base system iconv.h.

  This exposed some ports that link with libiconv when it is available instead
  of using libc iconv.  In these cases one of the following changes has been
  made:
  - patch configure scripts to test for libc iconv first
  - add ac_cv_lib_iconv_libiconv=no or similar to CONFIGURE_ARGS to disable
    some configure tests
  - converters/wkhtmltopdf: this includes Qt4 so add a patch from devel/qt4
  - lang/gcc5-aux: respect CFLAGS and friends during configure such that
    LIBICONV_PLUG is defined in the iconv test, also switch to external
    gettext
  - mail/gnarwl: replace patches with CPPFLAGS/LIBS
  - multimedia/ffmpeg2theora: remove iconv test from SConstruct and use
    ICONV_LIB in port Makefile instead, also fix a bug in subtitles.c
  - net-im/licq: finish conversion to cmake
  - net-mgmt/bandwidthd, net-mgmt/icinga, net-mgmt/nagios, net-mgmt/nagios4:
    don't need iconv
  - textproc/p5-XML-TinyXML: finish conversion to USES=perl5

  Other changes:
  - databases/qdbm and slaves: respect CFLAGS and friends, also enable bzip2
    and lzo support
  - games/ldmud: respect CFLAGS and friends
  - graphics/inventor: replace some patches with MAKE_ARGS/MAKE_ENV to respect
    CFLAGS and friends, also remove FreeBSD/alpha patch and add missing xorg
    dependencies

  PR:		199099
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/iconv.mk
  head/archivers/unalz/files/patch-UnAlz.cpp
  head/archivers/unrar-iconv/files/patch-iconv
  head/audio/cmus/Makefile
  head/audio/cmus/files/patch-scripts-checks.sh
  head/audio/id3mtag/files/
  head/audio/id3mtag/files/patch-charconv.cpp
  head/audio/mp3unicode/files/
  head/audio/tagutil/Makefile
  head/audio/tagutil/files/
  head/audio/tagutil/files/patch-FindIconv.cmake
  head/audio/xmms-wavpack/Makefile
  head/audio/xmms-wavpack/files/patch-src_libwavpack.cpp
  head/chinese/cconv/Makefile
  head/chinese/cconv/files/
  head/chinese/cconv/files/patch-configure
  head/comms/scmxx/Makefile
  head/comms/telldus-core/Makefile
  head/comms/telldus-core/files/patch-common-CMakeLists.txt
  head/comms/telldus-core/files/patch-common-Strings.cpp
  head/converters/libiconv/Makefile
  head/converters/libiconv/files/patch-include-iconv.h.in
  head/converters/wkhtmltopdf/Makefile
  head/converters/wkhtmltopdf/files/patch-config.tests_unix_compile.test
  head/converters/wkhtmltopdf/files/patch-config.tests_unix_gnu-libiconv_gnu-libiconv.cpp
  head/converters/wkhtmltopdf/files/patch-src_corelib_codecs_qiconvcodec.cpp
  head/databases/kbibtex/Makefile
  head/databases/kbibtex/files/patch-src__libkbibtexio__iconvlatex.cpp
  head/databases/mysql-workbench52/files/patch-plugins__migration__copytable__copytable.cpp
  head/databases/p5-qdbm/Makefile
  head/databases/p5-qdbm/files/patch-Makefile.in
  head/databases/qdbm/Makefile
  head/databases/qdbm/files/patch-Makefile.in
  head/databases/qdbm/files/patch-java__Makefile.in
  head/databases/qdbm/files/patch-plus__Makefile.in
  head/databases/qdbm-plus/Makefile
  head/databases/qdbm-plus/files/patch-Makefile.in
  head/databases/ruby-qdbm/Makefile
  head/deskutils/fbreader/Makefile
  head/devel/courier-unicode/Makefile
  head/devel/ice/files/patch-cpp-include-Ice-IconvStringConverter.h
  head/devel/libisofs/Makefile
  head/devel/qt4-corelib/Makefile
  head/devel/qt4-corelib/files/patch-config.tests_unix_gnu-libiconv_gnu-libiconv.cpp
  head/devel/qt4-corelib/files/patch-src_corelib_codecs_qiconvcodec.cpp
  head/devel/sdl20/Makefile
  head/editors/ted/Makefile
  head/editors/ted/files/patch-textEncoding-sioIconv.c
  head/emulators/dolphin-emu/files/patch-Source-Core-Common-Src-StringUtil.cpp
  head/emulators/virtualbox-ose/files/patch-src-VBox-Runtime-r3-posix-utf8-posix.cpp
  head/finance/libofx/files/patch-lib__ofx_preproc.cpp
  head/ftp/pure-ftpd/Makefile
  head/games/allacrost/Makefile
  head/games/allacrost/files/patch-src-utils.cpp
  head/games/cuyo/files/patch-src__cuyointl.cpp
  head/games/hex-a-hop/Makefile
  head/games/hex-a-hop/files/patch-src-text.cpp
  head/games/ldmud/Makefile
  head/games/ldmud/files/patch-Makefile.in
  head/games/ldmud/files/patch-configure
  head/games/pokerth/files/patch-src-core-linux-convhelper.cpp
  head/games/valyriatear/files/patch-src-utils-ustring.cpp
  head/graphics/cegui/files/patch-cegui__src__IconvStringTranscoder.cpp
  head/graphics/iccexamin/files/patch-icc_gl.cpp
  head/graphics/inventor/Makefile
  head/graphics/inventor/files/patch-SoText2.c++
  head/graphics/inventor/files/patch-SoText3.c++
  head/graphics/inventor/files/patch-TextWrapper.c++
  head/graphics/inventor/files/patch-ivcommondefs
  head/graphics/inventor/files/patch-machine.h
  head/graphics/inventor/files/pkg-message.in
  head/graphics/ipe/files/patch-ipelib__ipedoc.cpp
  head/graphics/sswf/Makefile
  head/graphics/sswf/files/patch-include_sswf_libsswf.h
  head/graphics/swfmill/Makefile
  head/irc/weechat/Makefile
  head/irc/weechat/files/patch-cmake-FindIconv.cmake
  head/irc/weechat-devel/Makefile
  head/irc/weechat-devel/files/patch-cmake-FindIconv.cmake
  head/japanese/groff/files/patch-src:libs:libgroff:encoding.cc
  head/japanese/jd/Makefile
  head/japanese/jd/files/
  head/japanese/jd/files/patch-configure.ac
  head/japanese/mozc-server/files/patch-base_iconv.cc
  head/java/jikes/Makefile
  head/lang/gcc5-aux/Makefile
  head/lang/gcc5-aux/Makefile.version
  head/lang/pure/Makefile
  head/mail/cone/files/patch-curses-cursesscreen.diff
  head/mail/gnarwl/Makefile
  head/mail/gnarwl/files/patch-Makefile.in
  head/mail/gnarwl/files/patch-configure
  head/mail/gnarwl/files/patch-configure.ac
  head/mail/libvmime/Makefile
  head/mail/libvmime/files/patch-cmake__FindIconv.cmake
  head/mail/mmr/files/patch-mime.cpp
  head/mail/normalizemime/files/patch-normalizemime.cc
  head/multimedia/ffmpeg2theora/Makefile
  head/multimedia/ffmpeg2theora/files/patch-SConstruct
  head/multimedia/ffmpeg2theora/files/patch-src-subtitles.c
  head/multimedia/naludump/files/patch-libsi-si.c
  head/multimedia/transcode/Makefile
  head/multimedia/vdr/files/patch-vdr-1.7.28_FreeBSD
  head/net/asterisk13/Makefile
  head/net/c3270/Makefile
  head/net-im/centerim-devel/Makefile
  head/net-im/gale/Makefile
  head/net-im/gale/files/patch-iconvtest.c
  head/net-im/imspector/files/patch-icqprotocolplugin.cpp
  head/net-im/licq/Makefile
  head/net-im/licq/files/patch-cmake-Modules-FindIconv.cmake
  head/net-im/zephyr/Makefile
  head/net-mgmt/bandwidthd/Makefile
  head/net-mgmt/icinga/Makefile
  head/net-mgmt/nagios/Makefile
  head/net-mgmt/nagios4/Makefile
  head/net-p2p/libtorrent-rasterbar/files/patch-include-libtorrent-config.hpp
  head/net-p2p/linuxdcpp/files/patch-SConstruct
  head/net-p2p/twister/files/patch-libtorrent-include-libtorrent-config.hpp
  head/news/pan/files/
  head/print/gv/Makefile
  head/security/scanhill/Makefile
  head/security/scanhill/files/patch-configure
  head/sysutils/xorriso/Makefile
  head/textproc/ctpp2/Makefile
  head/textproc/ctpp2/files/patch-src-CTPP2StringIconvOutputCollector.cpp
  head/textproc/ctpp2/files/patch-src-functions-FnIconv.cpp
  head/textproc/estraier/Makefile
  head/textproc/gmetadom/files/patch-GdomeSmartDOMGdomeString.cc
  head/textproc/goldendict/files/patch-bgl_babylon.cc
  head/textproc/goldendict/files/patch-iconv.cc
  head/textproc/hyperestraier/Makefile
  head/textproc/p5-Text-Unaccent/Makefile
  head/textproc/p5-XML-TinyXML/Makefile
  head/textproc/simplexml/Makefile
  head/textproc/simplexml/files/patch-cmake__FindIconv.cmake
  head/textproc/wbxml2/Makefile
  head/textproc/wbxml2/files/patch-cmake-modules-FindIconv.cmake
  head/textproc/xmlppm/files/patch-IFile.cpp
  head/www/anyterm/Makefile
  head/www/anyterm/files/patch-libpbe-include-Iconver.hh
  head/www/htmlcxx/Makefile
  head/www/htmlcxx/files/patch-CharsetConverter.cc
  head/www/httrack/Makefile
  head/www/mod_encoding/Makefile
  head/www/newsbeuter/files/patch-src-utils.cpp
  head/x11/x3270/Makefile
  head/x11-toolkits/p5-Prima/Makefile
  head/x11-toolkits/p5-Prima/files/patch-Makefile.PL
  head/x11-wm/icewm/Makefile
  head/x11-wm/icewm/files/patch-src_ylocale.cc
  head/x11-wm/pekwm/Makefile
Comment 38 commit-hook freebsd_committer 2015-04-15 09:10:07 UTC
A commit references this bug:

Author: tijl
Date: Wed Apr 15 09:09:37 UTC 2015
New revision: 281550
URL: https://svnweb.freebsd.org/changeset/base/281550

Log:
  Remove the const qualifier from iconv(3) to comply with POSIX:
  http://pubs.opengroup.org/onlinepubs/9699919799/functions/iconv.html

  Adjust all code that calls iconv.

  PR:		199099
  Exp-run by:	antoine
  MFC after:	2 weeks

Changes:
  head/UPDATING
  head/bin/csh/config.h
  head/contrib/smbfs/include/netsmb/smb_lib.h
  head/contrib/smbfs/lib/smb/nls.c
  head/contrib/smbfs/lib/smb/print.c
  head/contrib/smbfs/lib/smb/rq.c
  head/include/iconv.h
  head/lib/libarchive/Makefile
  head/lib/libc/iconv/__iconv.c
  head/lib/libc/iconv/bsd_iconv.c
  head/lib/libc/iconv/citrus_iconv.h
  head/lib/libc/iconv/citrus_iconv_local.h
  head/lib/libc/iconv/citrus_none.c
  head/lib/libc/iconv/citrus_stdenc.h
  head/lib/libc/iconv/citrus_stdenc_local.h
  head/lib/libc/iconv/citrus_stdenc_template.h
  head/lib/libc/iconv/iconv-internal.h
  head/lib/libc/iconv/iconv.3
  head/lib/libc/iconv/iconv.c
  head/lib/libc/iconv/iconv_compat.c
  head/lib/libc/locale/cXXrtomb_iconv.h
  head/lib/libc/locale/mbrtocXX_iconv.h
  head/lib/libiconv_modules/BIG5/citrus_big5.c
  head/lib/libiconv_modules/DECHanyu/citrus_dechanyu.c
  head/lib/libiconv_modules/EUC/citrus_euc.c
  head/lib/libiconv_modules/EUCTW/citrus_euctw.c
  head/lib/libiconv_modules/GBK2K/citrus_gbk2k.c
  head/lib/libiconv_modules/HZ/citrus_hz.c
  head/lib/libiconv_modules/ISO2022/citrus_iso2022.c
  head/lib/libiconv_modules/JOHAB/citrus_johab.c
  head/lib/libiconv_modules/MSKanji/citrus_mskanji.c
  head/lib/libiconv_modules/UES/citrus_ues.c
  head/lib/libiconv_modules/UTF1632/citrus_utf1632.c
  head/lib/libiconv_modules/UTF7/citrus_utf7.c
  head/lib/libiconv_modules/UTF8/citrus_utf8.c
  head/lib/libiconv_modules/VIQR/citrus_viqr.c
  head/lib/libiconv_modules/ZW/citrus_zw.c
  head/lib/libiconv_modules/iconv_none/citrus_iconv_none.c
  head/lib/libiconv_modules/iconv_std/citrus_iconv_std.c
  head/lib/libkiconv/xlat16_iconv.c
  head/sys/sys/param.h
  head/usr.bin/iconv/iconv.c
Comment 39 commit-hook freebsd_committer 2015-04-30 16:09:38 UTC
A commit references this bug:

Author: tijl
Date: Thu Apr 30 16:09:00 UTC 2015
New revision: 282275
URL: https://svnweb.freebsd.org/changeset/base/282275

Log:
  MFC r275805:

  Fix incorrect type of "invalids" argument in __iconv() prototype.

  MFC r281550,281591:

  Remove the const qualifier from iconv(3) to comply with POSIX:
  http://pubs.opengroup.org/onlinepubs/9699919799/functions/iconv.html

  Adjust all code that calls iconv.

  PR:		199099

Changes:
_U  stable/10/
  stable/10/UPDATING
  stable/10/bin/csh/config.h
  stable/10/bin/csh/iconv_stub.h
  stable/10/contrib/smbfs/include/netsmb/smb_lib.h
  stable/10/contrib/smbfs/lib/smb/nls.c
  stable/10/contrib/smbfs/lib/smb/print.c
  stable/10/contrib/smbfs/lib/smb/rq.c
  stable/10/include/iconv.h
  stable/10/lib/libarchive/Makefile
  stable/10/lib/libc/iconv/__iconv.c
  stable/10/lib/libc/iconv/bsd_iconv.c
  stable/10/lib/libc/iconv/citrus_iconv.h
  stable/10/lib/libc/iconv/citrus_iconv_local.h
  stable/10/lib/libc/iconv/citrus_none.c
  stable/10/lib/libc/iconv/citrus_stdenc.h
  stable/10/lib/libc/iconv/citrus_stdenc_local.h
  stable/10/lib/libc/iconv/citrus_stdenc_template.h
  stable/10/lib/libc/iconv/iconv-internal.h
  stable/10/lib/libc/iconv/iconv.3
  stable/10/lib/libc/iconv/iconv.c
  stable/10/lib/libc/iconv/iconv_compat.c
  stable/10/lib/libc/locale/cXXrtomb_iconv.h
  stable/10/lib/libc/locale/mbrtocXX_iconv.h
  stable/10/lib/libiconv_modules/BIG5/citrus_big5.c
  stable/10/lib/libiconv_modules/DECHanyu/citrus_dechanyu.c
  stable/10/lib/libiconv_modules/EUC/citrus_euc.c
  stable/10/lib/libiconv_modules/EUCTW/citrus_euctw.c
  stable/10/lib/libiconv_modules/GBK2K/citrus_gbk2k.c
  stable/10/lib/libiconv_modules/HZ/citrus_hz.c
  stable/10/lib/libiconv_modules/ISO2022/citrus_iso2022.c
  stable/10/lib/libiconv_modules/JOHAB/citrus_johab.c
  stable/10/lib/libiconv_modules/MSKanji/citrus_mskanji.c
  stable/10/lib/libiconv_modules/UES/citrus_ues.c
  stable/10/lib/libiconv_modules/UTF1632/citrus_utf1632.c
  stable/10/lib/libiconv_modules/UTF7/citrus_utf7.c
  stable/10/lib/libiconv_modules/UTF8/citrus_utf8.c
  stable/10/lib/libiconv_modules/VIQR/citrus_viqr.c
  stable/10/lib/libiconv_modules/ZW/citrus_zw.c
  stable/10/lib/libiconv_modules/iconv_none/citrus_iconv_none.c
  stable/10/lib/libiconv_modules/iconv_std/citrus_iconv_std.c
  stable/10/lib/libkiconv/xlat16_iconv.c
  stable/10/sys/sys/param.h
  stable/10/usr.bin/iconv/iconv.c
Comment 40 Marcin Cieślak 2015-07-05 21:18:38 UTC
I have some issues making mono to use base <iconv.h> instead of the library:

http://thread.gmane.org/gmane.os.freebsd.devel.ports/126562
Comment 41 Tijl Coosemans freebsd_committer 2015-07-06 15:03:03 UTC
*** Bug 196540 has been marked as a duplicate of this bug. ***